### Enumeration

# GUPnPAV CDSLastChangeEvent

#### Declaration

    enum GUPnPAV.CDSLastChangeEvent

#### Description [src]

The type of event a `GUPnPCDSLastChangeEntry` is representing.

#### Members

`GUPNP_CDS_LAST_CHANGE_EVENT_INVALID`

  Invalid `GUPnPCDSLastChangeEntry`.

  - Value: `0`
  - Available since: 1.0
`GUPNP_CDS_LAST_CHANGE_EVENT_OBJECT_ADDED`

  The `GUPnPCDSLastChangeEntry` is an object added event.

  - Value: `1`
  - Available since: 1.0
`GUPNP_CDS_LAST_CHANGE_EVENT_OBJECT_REMOVED`

  The `GUPnPCDSLastChangeEntry` is an object removal event.

  - Value: `2`
  - Available since: 1.0
`GUPNP_CDS_LAST_CHANGE_EVENT_OBJECT_MODIFIED`

  The `GUPnPCDSLastChangeEntry` is an object modification event.

  - Value: `3`
  - Available since: 1.0
`GUPNP_CDS_LAST_CHANGE_EVENT_ST_DONE`

  The `GUPnPCDSLastChangeEntry` is a subtree update done event.

  - Value: `4`
  - Available since: 1.0